Subject: Re: bug#30851: [PATCH] Add SuperCollider, related changes

From: [email-masked] (Ludovic Courtès)
Date: Sat, 24 Mar 2018 18:02:12 +0100

Hi Maxim,

Maxim Cournoyer <[email-masked]> skribis:

> For splitting to be "cheaper" (in terms of space and computation) than
> using a separate output, the origin sources would have to be split into
> core/sc-ide parts and be able to build the resulting parts distinctly.
>
> I have to check, but I don't expect the IDE to be buildable reusing
> supercollider-core as an input; I'd expect it to depend on many source
> files in the project. If so, I'll opt for multiple outputs to spare the
> build farm from recompiling/testing the same thing in double, otherwise
> I'll opt for splitting.

Yeah, this sounds like the right criterion to me.

Thanks,
Ludo’.